# Uses of Class
org.snpeff.osCmd.OsCmdRunner

Packages that use OsCmdRunner
Package
Description
org.snpeff.osCmd

## Uses of OsCmdRunner in org.snpeff.osCmd

Classes in org.snpeff.osCmd that implement interfaces with type arguments of type OsCmdRunner
Modifier and Type
Class
Description
`class`
`OsCmdQueue`
A queue of commands to be run.
Methods in org.snpeff.osCmd that return types with arguments of type OsCmdRunner
Modifier and Type
Method
Description
`Iterator<OsCmdRunner>`
OsCmdQueue.`iterator()`
Methods in org.snpeff.osCmd with parameters of type OsCmdRunner
Modifier and Type
Method
Description
`void`
OsCmdQueue.`add(OsCmdRunner cmd)`
Add command to be executed
`void`
OsCmdQueue.`add(OsCmdRunner cmd, String outputFile)`
Add command to be executed, only if 'outputFile' does not exist